#pragma once

typedef enum e_ui_input_key {
  ui_input_key_display_0_brightness = 0,
  ui_input_key_display_1_brightness = 1,
  ui_input_key_computer_volume = 2,
  ui_input_key_display_ambient_lighting_level = 3,
  ui_input_key_display_ambient_lighting_mode = 4,
  ui_input_key_display_0_mode = 5,
  ui_input_key_display_1_mode = 6,
} e_ui_input_key_t;

typedef struct s_ui_input {
  e_ui_input_key_t key;
  int16_t value;
} s_ui_input_t;

typedef enum e_ui_input_raw_key {
  ui_input_raw_key_encoder_0 = 0,
  ui_input_raw_key_encoder_1 = 1,
} e_ui_input_raw_key_t;

typedef struct s_ui_input_raw {
  e_ui_input_raw_key_t key;
  uint8_t value;
} s_ui_input_raw_t;