# 基于 UDP 的上、下位机通讯规则

## 报文格式

开始的一个字节是命令，剩余字节是数据。缓冲区长度设为 1024 字节，所以单个 UDP 报文的数据最多为 1023 字节。

## 命令

### 上位机在线 `1`

### 更新灯带颜色 `2`

| 数据 | 长度（字节） | 说明 |
| --- | --- | --- |
| 起始位置 | 2 | 0~65535 |
| 长度 | 2 | 0~65535 |
| 颜色 | 3 | RGB 顺序，$2^3 * 2^3 * 2^3 = 65535$ 真彩色 |

### 更新电脑显示器亮度 `3`

| 数据 | 长度（字节） | 说明 |
| --- | --- | --- |
| 显示器序号 | 1 | 0~255 |
| 亮度 | 1 | 0~255 |

### 更新电脑音量 `4`

| 数据 | 长度（字节） | 说明 |
| --- | --- | --- |
| 音量 | 1 | 0~255 |
